# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ConceptDimension',
            fields=[
                ('concept_cd', models.CharField(max_length=50, db_column='concept_cd')),
                ('update_date', models.DateTimeField(null=True, db_column='update_date')),
                ('concept_blob', models.TextField(null=True, db_column='concept_blob')),
                ('download_date', models.DateTimeField(null=True, db_column='download_date')),
                ('name_char', models.CharField(max_length=2000, null=True, db_column='name_char')),
                ('concept_path', models.CharField(max_length=700, serialize=False, primary_key=True, db_column='concept_path', db_index=True)),
                ('import_date', models.DateTimeField(null=True, db_column='import_date')),
                ('upload_id', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='upload_id', db_index=True)),
                ('sourcesystem_cd', models.CharField(max_length=50, null=True, db_column='sourcesystem_cd')),
            ],
            options={
                'db_table': 'concept_dimension',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='I2b2',
            fields=[
                ('c_columndatatype', models.CharField(max_length=50, db_column='c_columndatatype')),
                ('c_dimcode', models.CharField(max_length=700, db_column='c_dimcode')),
                ('c_name', models.CharField(max_length=2000, db_column='c_name')),
                ('c_facttablecolumn', models.CharField(max_length=50, db_column='c_facttablecolumn')),
                ('c_basecode', models.CharField(max_length=50, null=True, db_column='c_basecode')),
                ('c_fullname', models.CharField(max_length=700, db_column='c_fullname')),
                ('c_tablename', models.CharField(max_length=50, db_column='c_tablename')),
                ('id', models.AutoField(db_index=True, serialize=False, primary_key=True, db_column='id')),
                ('update_date', models.DateTimeField(default='now', db_column='update_date')),
                ('m_exclusion_cd', models.CharField(max_length=25, null=True, db_column='m_exclusion_cd')),
                ('c_synonym_cd', models.CharField(max_length=1, db_column='c_synonym_cd')),
                ('valuetype_cd', models.CharField(max_length=50, null=True, db_column='valuetype_cd')),
                ('import_date', models.DateTimeField(default='now', null=True, db_column='import_date')),
                ('c_visualattributes', models.CharField(max_length=3, db_column='c_visualattributes')),
                ('c_symbol', models.CharField(max_length=50, null=True, db_column='c_symbol')),
                ('m_applied_path', models.CharField(max_length=700, db_column='m_applied_path')),
                ('download_date', models.DateTimeField(default='now', null=True, db_column='download_date')),
                ('c_operator', models.CharField(max_length=10, db_column='c_operator')),
                ('sourcesystem_cd', models.CharField(max_length=50, null=True, db_column='sourcesystem_cd')),
                ('c_hlevel', models.DecimalField(decimal_places=0, max_digits=22, db_column='c_hlevel')),
                ('c_columnname', models.CharField(max_length=50, db_column='c_columnname')),
                ('c_totalnum', models.DecimalField(null=True, decimal_places=0, max_digits=22, db_column='c_totalnum')),
                ('c_metadataxml', models.TextField(null=True, db_column='c_metadataxml')),
                ('c_tooltip', models.CharField(max_length=900, null=True, db_column='c_tooltip')),
                ('c_comment', models.TextField(null=True, db_column='c_comment')),
                ('c_path', models.CharField(max_length=700, null=True, db_column='c_path')),
            ],
            options={
                'db_table': 'i2b2',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ObservationFact',
            fields=[
                ('provider_id', models.CharField(max_length=50, db_column='provider_id')),
                ('nval_num', models.DecimalField(null=True, decimal_places=5, max_digits=18, db_column='nval_num')),
                ('confidence_num', models.DecimalField(null=True, decimal_places=5, max_digits=18, db_column='confidence_num')),
                ('id', models.AutoField(db_index=True, serialize=False, primary_key=True, db_column='id')),
                ('encounter_num', models.DecimalField(decimal_places=0, max_digits=38, db_column='encounter_num', db_index=True)),
                ('update_date', models.DateTimeField(null=True, db_column='update_date')),
                ('download_date', models.DateTimeField(null=True, db_column='download_date')),
                ('import_date', models.DateTimeField(null=True, db_column='import_date')),
                ('valueflag_cd', models.CharField(max_length=50, null=True, db_column='valueflag_cd')),
                ('tval_char', models.CharField(max_length=255, null=True, db_column='tval_char')),
                ('modifier_cd', models.CharField(default='@', max_length=100, db_column='modifier_cd')),
                ('start_date', models.DateTimeField(db_column='start_date')),
                ('patient_num', models.DecimalField(decimal_places=0, max_digits=38, db_column='patient_num')),
                ('end_date', models.DateTimeField(null=True, db_column='end_date')),
                ('instance_num', models.DecimalField(default=1, decimal_places=0, max_digits=18, db_column='instance_num')),
                ('sourcesystem_cd', models.CharField(max_length=50, null=True, db_column='sourcesystem_cd')),
                ('concept_cd', models.CharField(max_length=50, db_column='concept_cd', db_index=True)),
                ('observation_blob', models.TextField(null=True, db_column='observation_blob')),
                ('upload_id', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='upload_id')),
                ('quantity_num', models.DecimalField(null=True, decimal_places=5, max_digits=18, db_column='quantity_num')),
                ('valtype_cd', models.CharField(max_length=50, null=True, db_column='valtype_cd')),
                ('units_cd', models.CharField(max_length=50, null=True, db_column='units_cd')),
                ('location_cd', models.CharField(max_length=50, null=True, db_column='location_cd')),
            ],
            options={
                'db_table': 'observation_fact',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PatientDimension',
            fields=[
                ('update_date', models.DateTimeField(null=True, db_column='update_date')),
                ('zip_cd', models.CharField(max_length=50, null=True, db_column='zip_cd')),
                ('race_cd', models.CharField(max_length=50, null=True, db_column='race_cd')),
                ('download_date', models.DateTimeField(null=True, db_column='download_date')),
                ('death_date', models.DateTimeField(null=True, db_column='death_date')),
                ('marital_status_cd', models.CharField(max_length=50, null=True, db_column='marital_status_cd')),
                ('import_date', models.DateTimeField(null=True, db_column='import_date')),
                ('patient_blob', models.TextField(null=True, db_column='patient_blob')),
                ('vital_status_cd', models.CharField(max_length=50, null=True, db_column='vital_status_cd')),
                ('income_cd', models.CharField(max_length=50, null=True, db_column='income_cd')),
                ('religion_cd', models.CharField(max_length=50, null=True, db_column='religion_cd')),
                ('sex_cd', models.CharField(max_length=50, null=True, db_column='sex_cd')),
                ('patient_num', models.DecimalField(primary_key=True, decimal_places=0, serialize=False, max_digits=38, db_column='patient_num', db_index=True)),
                ('age_in_years_num', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='age_in_years_num')),
                ('birth_date', models.DateTimeField(null=True, db_column='birth_date')),
                ('upload_id', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='upload_id', db_index=True)),
                ('statecityzip_path', models.CharField(max_length=50, null=True, db_column='statecityzip_path')),
                ('language_cd', models.CharField(max_length=50, null=True, db_column='language_cd')),
                ('ethnicity_cd', models.CharField(max_length=50, null=True, db_column='ethnicity_cd')),
                ('sourcesystem_cd', models.CharField(max_length=50, null=True, db_column='sourcesystem_cd')),
            ],
            options={
                'db_table': 'patient_dimension',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='VisitDimension',
            fields=[
                ('update_date', models.DateTimeField(null=True, db_column='update_date')),
                ('download_date', models.DateTimeField(null=True, db_column='download_date')),
                ('end_date', models.DateTimeField(null=True, db_column='end_date')),
                ('active_status_cd', models.CharField(max_length=50, null=True, db_column='active_status_cd')),
                ('import_date', models.DateTimeField(null=True, db_column='import_date')),
                ('id', models.AutoField(db_index=True, serialize=False, primary_key=True, db_column='id')),
                ('upload_id', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='upload_id', db_index=True)),
                ('patient_num', models.DecimalField(decimal_places=0, max_digits=38, db_column='patient_num')),
                ('sourcesystem_cd', models.CharField(max_length=50, null=True, db_column='sourcesystem_cd', db_index=True)),
                ('inout_cd', models.CharField(max_length=50, null=True, db_column='inout_cd')),
                ('location_path', models.CharField(max_length=900, null=True, db_column='location_path')),
                ('length_of_stay', models.DecimalField(null=True, decimal_places=0, max_digits=38, db_column='length_of_stay')),
                ('visit_blob', models.TextField(null=True, db_column='visit_blob')),
                ('start_date', models.DateTimeField(null=True, db_column='start_date')),
                ('location_cd', models.CharField(max_length=50, null=True, db_column='location_cd')),
                ('encounter_num', models.DecimalField(decimal_places=0, max_digits=38, db_column='encounter_num', db_index=True)),
            ],
            options={
                'db_table': 'visit_dimension',
            },
            bases=(models.Model,),
        ),
        migrations.AlterIndexTogether(
            name='visitdimension',
            index_together=set([('start_date', 'end_date'), ('encounter_num', 'patient_num', 'location_path', 'inout_cd', 'start_date', 'end_date', 'length_of_stay')]),
        ),
        migrations.AlterIndexTogether(
            name='patientdimension',
            index_together=set([('patient_num', 'vital_status_cd', 'birth_date', 'death_date', 'sex_cd', 'age_in_years_num', 'language_cd', 'race_cd', 'marital_status_cd', 'religion_cd', 'zip_cd', 'income_cd'), ('patient_num', 'vital_status_cd', 'birth_date', 'death_date'), ('statecityzip_path', 'patient_num')]),
        ),
        migrations.AlterIndexTogether(
            name='observationfact',
            index_together=set([('patient_num', 'start_date', 'concept_cd', 'encounter_num', 'instance_num', 'nval_num', 'tval_char', 'valtype_cd', 'modifier_cd', 'valueflag_cd', 'provider_id', 'quantity_num', 'units_cd', 'end_date', 'location_cd', 'confidence_num', 'update_date', 'download_date', 'import_date', 'sourcesystem_cd', 'upload_id'), ('concept_cd', 'instance_num', 'patient_num', 'encounter_num'), ('patient_num', 'concept_cd', 'start_date', 'end_date', 'encounter_num', 'instance_num', 'provider_id', 'nval_num', 'valtype_cd')]),
        ),
    ]
